# 群組

課程 **Groups** 工具的行為。

在 **Administration > Configuration settings > Groups** 下存取這些設定。此類別包含 **3 個設定**，以下列出平台設定預設資料 (`SettingsCurrentFixtures.php`) 中提供的標題和註解。

> 程式碼中的變數名稱以等寬字體顯示。使用 API 進行腳本編寫或需要透過編輯 [`config/settings_override.yaml`](https://github.com/chamilo/chamilo-lms/wiki/Configurations#configsettings_overridesyaml) 在全域層級變更這些設定時，請使用它。

## 設定

### `allow_group_categories`

**群組分類**

允許教師在 Groups 工具中建立分類嗎？

*預設值：`false`*

### `hide_course_group_if_no_tools_available`

**無工具時隱藏課程群組**

如果群組中沒有任何工具可用，且使用者未註冊該群組本身，則在群組清單中完全隱藏該群組。

*預設值：`false`*

### `show_groups_to_users`

**向使用者顯示班級**

向使用者顯示班級。班級是一項功能，允許您直接將使用者群組註冊/取消註冊至課程或工作坊，從而減少行政負擔。選擇此選項時，學習者將能夠透過其社群網路介面查看他們屬於哪個班級。

*預設值：`false`*


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.chamilo.org/2.x-zh-tw/guan-li-zhi-nan/admin-guide/platform-settings/group-settings.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
